
Foreman - Bug #9663

URL Encoding not working when items have "/" in their name

03/05/2015 06:56 PM - Joey D

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have a partition table entry named: "CentOS PCI/GSA".  The entry is created properly although after creation, the edit link is

presented with the "/" inline.  This causes the app to fail due to "http://...CentOS%20PCI/GSA/edit" not being encoded properly.

Related issues:

Is duplicate of Foreman - Bug #8597: Foreman 1.7.0 Issue with partition table... Closed 12/05/2014

History

#1 - 03/06/2015 03:16 AM - Dominic Cleal

- Project changed from Smart Proxy to Foreman

- Category set to Web Interface

- translation missing: en.field_release deleted (36)

#2 - 03/08/2015 04:43 AM - Tom Caspy

- Status changed from New to Duplicate

duplicate of #8597

#3 - 03/09/2015 05:10 AM - Dominic Cleal

- Is duplicate of Bug #8597: Foreman 1.7.0 Issue with partition table names and "/" characters added
